constants.h File Reference

Constants used by libfishsound. More...

Go to the source code of this file.

## Typedefs

typedef enum _FishSoundMode | FishSoundMode
| Mode of operation (encode or decode)
typedef enum _FishSoundCodecID | FishSoundCodecID
| Identifiers for supported codecs.
typedef enum _FishSoundStopCtl | FishSoundStopCtl
| Decode callback return values.
typedef enum _FishSoundCommand | FishSoundCommand
| Command codes.
typedef enum _FishSoundError | FishSoundError
| Error values.

## Enumerations

enum | _FishSoundMode { FISH_SOUND_DECODE = 0x10 , FISH_SOUND_ENCODE = 0x20 }
| Mode of operation (encode or decode) More...
enum | _FishSoundCodecID { FISH_SOUND_UNKNOWN = 0x00 , FISH_SOUND_VORBIS = 0x01 , FISH_SOUND_SPEEX = 0x02 , FISH_SOUND_FLAC = 0x03 }
| Identifiers for supported codecs. More...
enum | _FishSoundStopCtl { FISH_SOUND_CONTINUE = 0 , FISH_SOUND_STOP_OK = 1 , FISH_SOUND_STOP_ERR = -1 }
| Decode callback return values. More...
enum | _FishSoundCommand { FISH_SOUND_COMMAND_NOP = 0x0000 , FISH_SOUND_GET_INFO = 0x1000 , FISH_SOUND_GET_INTERLEAVE = 0x2000 , FISH_SOUND_SET_INTERLEAVE = 0x2001 , FISH_SOUND_SET_ENCODE_VBR = 0x4000 , FISH_SOUND_COMMAND_MAX }
| Command codes. More...
enum | _FishSoundError { FISH_SOUND_OK = 0 , FISH_SOUND_ERR_GENERIC = -1 , FISH_SOUND_ERR_BAD = -2 , FISH_SOUND_ERR_INVALID = -3 , FISH_SOUND_ERR_OUT_OF_MEMORY = -4 , FISH_SOUND_ERR_DISABLED = -10 , FISH_SOUND_ERR_SHORT_IDENTIFY = -20 , FISH_SOUND_ERR_COMMENT_INVALID = -21 }
| Error values. More...

## Detailed Description

Constants used by libfishsound.

## Enumeration Type Documentation

## _FishSoundCodecID

enum _FishSoundCodecID

Identifiers for supported codecs.

Enumerator
FISH_SOUND_UNKNOWN | Unknown.
FISH_SOUND_VORBIS | Vorbis.
FISH_SOUND_SPEEX | Speex.
FISH_SOUND_FLAC | Flac.

## _FishSoundCommand

enum _FishSoundCommand

Command codes.

Enumerator
FISH_SOUND_COMMAND_NOP | No operation.
FISH_SOUND_GET_INFO | Retrieve the FishSoundInfo.
FISH_SOUND_GET_INTERLEAVE | Query if multichannel audio should be interpreted as interleaved.
FISH_SOUND_SET_INTERLEAVE | Set to 1 to interleave, 0 to non-interleave.

## _FishSoundError

enum _FishSoundError

Error values.

Enumerator
FISH_SOUND_OK | No error.
FISH_SOUND_ERR_GENERIC | generic error
FISH_SOUND_ERR_BAD | Not a valid FishSound* handle.
FISH_SOUND_ERR_INVALID | The requested operation is not suitable for this FishSound* handle.
FISH_SOUND_ERR_OUT_OF_MEMORY | Out of memory.
FISH_SOUND_ERR_DISABLED | Functionality disabled at build time.
FISH_SOUND_ERR_SHORT_IDENTIFY | Too few bytes passed to fish_sound_identify()
FISH_SOUND_ERR_COMMENT_INVALID | Comment violates VorbisComment restrictions.

## _FishSoundMode

enum _FishSoundMode

Mode of operation (encode or decode)

Enumerator
FISH_SOUND_DECODE | Decode.
FISH_SOUND_ENCODE | Encode.

## _FishSoundStopCtl

enum _FishSoundStopCtl

Decode callback return values.

Enumerator
FISH_SOUND_CONTINUE | Continue calling decode callbacks.
FISH_SOUND_STOP_OK | Stop calling callbacks, but retain buffered data.
FISH_SOUND_STOP_ERR | Stop calling callbacks, and purge buffered data.